import type { NodeId } from "./NodeId";
import { UABaseNode } from "./UABaseNode";
import { UAReference } from "./UAReference";

export class UAObject extends UABaseNode {
    constructor(public nodeId: NodeId,
                public browseName: string,
                public displayName: string,
                public references: UAReference[]) {
                    super(nodeId, browseName, displayName, references);
    }

    static  parse(uaObject: any): UAObject{
        const bn=super.parse(uaObject)
        return new UAObject(bn.nodeId, bn.browseName, bn.displayName, bn.references);
    }
}